Subject: Re: Segmentation fault in git-svn

From: Eric Wong <[email-masked]>
Date: Sun, 13 May 2007 01:21:19 -0700

Peter Baumann <[email-masked]> wrote:
> On Mon, Apr 16, 2007 at 03:17:55PM -0700, Steven Grimm wrote:
> >  I expect this is really a libsvn bug, but git-svn triggers it, so I'm hoping 
> >  someone else has run into and solved it, or at least that someone can 
> >  reproduce it.
> > 
> >  If I try to clone the "memcached" public repository with the command line
> > 
> >   git-svn clone --branches=branches --trunk=trunk 
> >  http://code.sixapart.com/svn/memcached
> 
> I'm getting segfaults in git-svn, too.
> 
> This command segfaults reproducably in r55 while running
> 
> 	git svn clone svn://svn.berlios.de/vermont vermont \
> 		-T trunk -b branches -t tags
> 

Both repositories seem to be cloning fine after the
patch here:

http://permalink.gmane.org/gmane.comp.version-control.git/47128

I really don't know what's going on with libsvn, either :(

-- 
Eric Wong